API referenceEndpointsRedemption
Send the signed transaction
POST
WalletSessionheader
AuthorizationBearer <token>Authorization: Bearer <accessToken> from POST /auth/verify. Proves control of
one wallet for one hour. Used only by the Redemption endpoints, from the browser.
redemptionId*integerRange
1 <= valueapplication/json- body
signedTransaction*stringBase64 of the fully signed transaction.
The redemption. status is one of: label_created once paid and booked;
paid_awaiting_label when payment confirmed but the DHL booking has not completed yet,
in which case payment is complete and Verity completes
the booking, so keep polling GET /redemptions/{redemptionId};
pending_payment when the chain has not confirmed yet, in which case poll
GET /redemptions/{redemptionId}.
curl -X POST 'https://api-staging.theverity.xyz/api/v1/redeem/1/submit' \ -H 'Authorization: Bearer <wallet_access_token>' \ -H 'Content-Type: application/json' \ -d '{ "signedTransaction": "string"}'Example Response
Empty